XBMC Community Forum
XBMC Ubuntu PPAs (precompiled PPA builds for Ubuntu) - Printable Version

+- XBMC Community Forum (http://forum.xbmc.org)
+-- Forum: Help and Support (/forumdisplay.php?fid=33)
+--- Forum: Kodi General Help and Support (/forumdisplay.php?fid=111)
+---- Forum: Linux and Live support (/forumdisplay.php?fid=52)
+---- Thread: XBMC Ubuntu PPAs (precompiled PPA builds for Ubuntu) (/showthread.php?tid=33327)



- wattazoum - 2008-06-15 23:18

I think you can't , unless you have the deb packages cached in /var/cache/apt/archives/

If so, you will need to uninstall your current version and put those local packages.
There can't be 2 differents version on the same PPA


install trouble in Hardy - sjhotz - 2008-06-22 19:56

I am having issues with installing XBMC on a fresh install of Ubuntu 8.04. I add the software sources from the PPA links, and the Package Manager keeps telling me that XBMC wont install due to "unresolvable dependencies" XBMC, XBMC-common, and XBMC-skins-default dont seem to match up and wont install together. I tried following the readme and when i get to the "sva up" it tells I am at revision 13682. When i do "make clean" it tells me "make: *** No rule to make target `clean'. Stop." and attempting to get the necessary dependencies fails as well. Crap im lost! Please help!Sad


- Duduke - 2008-06-22 21:44

Now that there is an option to enable/disable automount from advancedsettings.xml

Click for Reference

Is the --enable-halmount a part of the PPAs?


- blubyu - 2008-06-22 22:07

sjhotz Wrote:I am having issues with installing XBMC on a fresh install of Ubuntu 8.04. I add the software sources from the PPA links, and the Package Manager keeps telling me that XBMC wont install due to "unresolvable dependencies" XBMC, XBMC-common, and XBMC-skins-default dont seem to match up and wont install together. I tried following the readme and when i get to the "sva up" it tells I am at revision 13682. When i do "make clean" it tells me "make: *** No rule to make target `clean'. Stop." and attempting to get the necessary dependencies fails as well. Crap im lost! Please help!Sad

The readme is for the SVN install of XBMC. You don't need to do any of that if you are going to do the PPA install. Try this:

Code:
apt-get update

then try this:

Code:
apt-get upgrade

I just did that on my box and everything worked just fine. See if it works for you.


- wattazoum - 2008-06-23 07:05

BTW, currently the SVN PPA build is failing for every distro but Hardy i386. we are working on it.


- sjhotz - 2008-06-24 07:19

ok added only the Hardy PPA software sources (both of them) and now when I search XBMC i get only skins, i did apt-get update & apt-get upgrade and still nothing but skins under the Package manager. Am I screwing up? This is starting to drive me nuts, 2 damn days straight. I keep trying to adopt linux, and keep getting fubar by stuff like this. Is there a older distro i should try?


- wattazoum - 2008-06-24 07:48

I believe you have an amd64 . If it's the case, you won't find anything in the stable PPA.
From Friday till yesterday night, the daily build was failing. But now you should find the xbmc package if you search it.


- sjhotz - 2008-06-25 15:12

Actually I run Ubuntu on a IBM Lenovo X60 Dual Core Intel, no AMD 8).


- succo - 2008-06-25 16:46

he means you installed a 64 bit OS... do you run Ubuntu x86 or what?


- sjhotz - 2008-06-25 22:42

Oh! My apologies wattazoum, i misunderstood.

I installed using Wubi, I assumed it would pull the correct distro, and that an AMD64 distro would not install on my system, of course im just guessing. I will do a seperate download of the I386 version of Ubuntu, then place it in the inwstall folder of Wubi. From what im told that will force it to use the ISO in the folder and not download one.

Before I do all that is there anyway I can tell what distro was installed on my laptop (I know, serious idiot question, again my apologies).


- althekiller - 2008-06-25 22:45

Might wanna "uname -m" in a console first before going to the trouble.


- sjhotz - 2008-06-25 23:12

Wow! Took a look inside my Wubi install folder and sure enough AMD64 version, Thank you both for the clarification, gonna re-install and try again.

NEVER SAY DIE!Rofl


- sjhotz - 2008-06-26 02:30

Yup, that was it, up and runnin now, thank you all, no video but that due to Intel 945 express chipset, perhaps in time 8).


- sjhotz - 2008-06-26 02:47

Video working!!! Thanks everyone for your support!


- Ryuzaki - 2008-06-27 18:19

Anyone else having problems with TV Scrapers? Not identifying jack right now for episodes. Some of them will pull show info, with some prodding, but not identify episodes. It was working fine for me a bit ago, with the same setup, same shows, and now isn't. So no library mode =[